Loading...
Searching...
No Matches
Smart Tagger

The smart tagger can be used to tag vertices/halfedges/edges/faces on the mesh.

It provides an O(1) reset function to untag all primitives at once.

Usage:

SmartTaggerVT< MeshType > tagger(mesh);
// Reset tagged flag on all vertices
tagger.untag_all();
// Check if something is tagged
bool tag = tagger.is_tagged(vh);
// Set tagged:
tagger.set_tag(vh);

For details see OpenMesh::SmartTaggerT